export interface IConfigurationFile {
    extends?: string | string[];
    linterOptions?: {
        typeCheck?: boolean;
    };
    rulesDirectory?: string | string[];
    rules?: any;
}
export declare const CONFIG_FILENAME: string;
export declare const DEFAULT_CONFIG: {
    "rules": {
        "class-name": boolean;
        "comment-format": (string | boolean)[];
        "indent": (string | boolean)[];
        "no-duplicate-variable": boolean;
        "no-eval": boolean;
        "no-internal-module": boolean;
        "no-trailing-whitespace": boolean;
        "no-unsafe-finally": boolean;
        "no-var-keyword": boolean;
        "one-line": (string | boolean)[];
        "quotemark": (string | boolean)[];
        "semicolon": (string | boolean)[];
        "triple-equals": (string | boolean)[];
        "typedef-whitespace": (boolean | {
            "call-signature": string;
            "index-signature": string;
            "parameter": string;
            "property-declaration": string;
            "variable-declaration": string;
        })[];
        "variable-name": (string | boolean)[];
        "whitespace": (string | boolean)[];
    };
};
export declare function findConfiguration(configFile: string, inputFilePath: string): IConfigurationFile;
export declare function findConfigurationPath(suppliedConfigFilePath: string, inputFilePath: string): string;
export declare function loadConfigurationFromPath(configFilePath: string): IConfigurationFile;
export declare function extendConfigurationFile(config: IConfigurationFile, baseConfig: IConfigurationFile): IConfigurationFile;
export declare function getRelativePath(directory: string, relativeTo?: string): string;
export declare function getRulesDirectories(directories: string | string[], relativeTo?: string): string[];
