import * as ts from "typescript";
import { findConfiguration, findConfigurationPath, getRulesDirectories, loadConfigurationFromPath } from "./configuration";
import { IMultiLinterOptions, LintResult } from "./lint";
declare class MultiLinter {
    private options;
    private program;
    static VERSION: string;
    static findConfiguration: typeof findConfiguration;
    static findConfigurationPath: typeof findConfigurationPath;
    static getRulesDirectories: typeof getRulesDirectories;
    static loadConfigurationFromPath: typeof loadConfigurationFromPath;
    private failures;
    static createProgram(configFile: string, projectDirectory?: string): ts.Program;
    static getFileNames(program: ts.Program): string[];
    constructor(options: IMultiLinterOptions, program?: ts.Program);
    lint(fileName: string, source?: string, configuration?: any): void;
    getResult(): LintResult;
    private containsRule(rules, rule);
}
declare namespace MultiLinter {
}
export = MultiLinter;
